cURL
curl --request GET \
--url https://my.orq.ai/v3/views \
--header 'Authorization: Bearer <token>'import { Orq } from '@orq-ai/node';
const orq = new Orq({ apiKey: process.env.ORQ_API_KEY });
const result = await orq.views.list({ page: 'traces-studio', limit: 100 });
import requests
url = "https://my.orq.ai/v3/views"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": "<string>",
"display_name": "<string>",
"description": "<string>",
"workspace_id": "<string>",
"page": "<string>",
"filter_by": "<string>",
"columns": [
"<string>"
],
"column_labels": {},
"is_default": true,
"private_for_ids": [
"<string>"
],
"version": 123,
"created_by_id": "<string>",
"updated_by_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"has_more": true
}Views
List visible saved views
GET
/
v3
/
views
cURL
curl --request GET \
--url https://my.orq.ai/v3/views \
--header 'Authorization: Bearer <token>'import { Orq } from '@orq-ai/node';
const orq = new Orq({ apiKey: process.env.ORQ_API_KEY });
const result = await orq.views.list({ page: 'traces-studio', limit: 100 });
import requests
url = "https://my.orq.ai/v3/views"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": "<string>",
"display_name": "<string>",
"description": "<string>",
"workspace_id": "<string>",
"page": "<string>",
"filter_by": "<string>",
"columns": [
"<string>"
],
"column_labels": {},
"is_default": true,
"private_for_ids": [
"<string>"
],
"version": 123,
"created_by_id": "<string>",
"updated_by_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"has_more": true
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Was this page helpful?